# $Revision: 1.33 $, $Date: 2010/08/21 19:08:12 $
%include	/usr/lib/rpm/macros.php
%define		_class		Net
%define		_subclass	Curl
%define		_status		stable
%define		_pearname	%{_class}_%{_subclass}
Summary:	%{_pearname} - an OO interface to the cURL extension
Summary(pl.UTF-8):	%{_pearname} - obiektowy interfejs do rozszerzenia cURL
Name:		php-pear-%{_pearname}
Version:	1.2.5
Release:	2
License:	PHP
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	0bb20480301256a7c5a04b4ca7e6f755
URL:		http://pear.php.net/package/Net_Curl/
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php-common >= 3:4.2.0
Requires:	php-curl
Requires:	php-pear
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Net_Curl is an object oriented interface which abstracts away the
messy parts of dealing with PHP's cURL extension.

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
Net_Curl to obiektowo zorientowany interfejs, który tworzy warstwę
abstrakcji dla nieprzyjaznych fragmentów obsługi rozszerzenia PHP
cURL.

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/%{_class}/*.php

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-Net_Curl.spec,v $
Revision 1.33  2010/08/21 19:08:12  glen
- updated deps with pearize.sh
- release 2

Revision 1.32  2010/08/20 13:02:26  glen
- updated to: 1.2.5

Revision 1.31  2008/01/31 12:16:49  glen
- rel 3

Revision 1.30  2007-02-13 08:06:40  glen
- tabs in preamble

Revision 1.29  2007/02/12 01:06:24  baggins
- converted to UTF-8

Revision 1.28  2006/11/26 14:11:30  glen
- rel 2: use php(extension) virtuals

Revision 1.27  2006/06/18 21:56:21  adamg
- updated to 1.2.3

Revision 1.26  2006/05/23 20:18:14  glen
- BR rpm-build macros >= 1.300 for %pear_ macros

Revision 1.25  2006/03/29 22:29:17  glen
- rel 3 (rebuild with less deps)

Revision 1.24  2006/03/07 10:20:48  glen
- BR php-pear-PEAR

Revision 1.23  2005/10/05 20:59:19  glen
- rel 2

Revision 1.22  2005/10/03 22:59:16  glen
- semi automatically added deps from pear

Revision 1.21  2005/09/28 21:33:15  glen
- new pear packaging

Revision 1.20  2005/08/24 17:09:44  adamg
- updated to 1.2.2

Revision 1.19  2005/08/21 18:10:26  adamg
- updated to 1.2.1

Revision 1.18  2004/12/04 13:21:58  adamg
- rebuild with new PEAR provides/requires scripts
- release 2

Revision 1.17  2004/05/30 13:13:50  adamg
- fixed english information about status of the package

Revision 1.16  2004/03/15 17:44:30  ankry
- massive cosmetics

Revision 1.15  2003/12/21 22:48:38  adamg
- updated to 0.2
- fixed License
- added information about package status

Revision 1.14  2003/10/07 20:55:41  adamg
- do not use macros in URL

Revision 1.13  2003/10/06 14:11:21  adamg
- move package.xml where it should be (I will need that file soon)

Revision 1.12  2003/08/31 20:49:10  adamg
- more specific URL

Revision 1.11  2003/05/28 08:58:43  adamg
- massive attack: added source0-md5

Revision 1.10  2003/05/25 06:25:21  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.9  2002/10/14 23:46:22  misto
- new rpm-php-requires/provides scripts
- release 4

Revision 1.8  2002/09/15 10:44:45  blues
- fix in macros

Revision 1.7  2002/07/12 22:16:55  blues
- release 3 (rebuild with new rpm)
- removed not neccessary requires

Revision 1.6  2002/07/08 00:41:55  blues
- new one provides

Revision 1.5  2002/07/04 22:40:41  blues
- release 2

Revision 1.4  2002/06/30 22:17:12  blues
- small fix

Revision 1.3  2002/06/30 19:43:12  kloczek
- simplifications in %install.

Revision 1.2  2002/06/30 12:24:58  qboosh
- pl description

Revision 1.1  2002/06/25 12:49:15  blues
- initial
